Subject: Re: CCL:Experiences with 64 bits AMD processors

From: Jerry Ebalunode <jebalunode*at*uh.edu>
Date: Thu, 10 Jun 2004 14:26:26 -0400

Yes,  32 bit binaries will run on these chips, assuming that you are using and 
running your linux  OS in 64 bit mode. The catch is that you need the 
following
1. a. Your 64 bit kernel should be built to support 32 codes (This is done by 
enabling the 32 bit emulation flag when configuring your linux 2.6 kernel 

 b. Note amd64 is deprecated on 2.4 linux kernels 

2.a. You need to install base emulation  libraries for  running 32bit x86 on 
amd64. These include the gibc in 32 bits
   You need to install  X11R6 emulation  libraries for running  32bit x86  
X-window applications on amd64.

3. If you want to compile 32 binaries you need to also enable multi lib 
version of gcc (i.e. supports building of both 32 and 64 bit codes

Pleas note that emulation does not imply that the code is slower on amd64, 
infact that same binary  running in amd64 architecture out performs  the same 
binary running in a 2.8 Ghz Pentium 4 linux box.

These information is based on what I had to do to enable 32 bit support in my 
Gentoo linux box (amd64 3200+)  which I built to run in 64 bit mode

 If you are interested in gentoo linux and in running 32 and 64 bit codes 
simulataneously see

http://www.gentoo.org/proj/en/base/amd64/technotes.xml

  inOn Tuesday 10 June 2003 01:09 pm, you wrote:
> Hello,
> we  are interested in buying some more computational resources. In our
> group we are interested in 64 bit AMD processors, but we do not know
> about their compatibility. They are supposed, as AMD says,  to be32 bit
> compatible and therefore AMD 64 bit processor should be able to run any
> 32 bit application. Is that true? Any experience about this will help us
> a lot.
> By the way, we are running mainly gaussian jobs, and have some other 32
> bit binaries like turbomole and jaguar. We have source code license for
> gaussian 03. Has anyone tried to compile Gaussian 03 for a AMD 64 bit
> machine? Do 32 bit pentium binaries run correctly on a 64 bit processor?
> which is the increase on the performance? Do Turbomole and Jaguar
> binaries run on 64 bit AMD processors? anyone tried?
> Any information will be helpful.
> Thanks a lot
> Marc
>
> ---------------------------
> Marc Noguera Julian
> Thcnic Especialista de Suport a la Recerca
> Qummica Fisica, Universitat Autrnoma de Barcelona.
> Tlf: 00-34-935812173
> Fax: 00-34-935812920
> e-mail: marc*at*klingon.uab.es
> ---------------------------------------
>
>
> -= This is automatically added to each message by the mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your Subject:
> line and send your message to:  CHEMISTRY*at*ccl.net
>
> Send your subscription/unsubscription requests to:
> CHEMISTRY-REQUEST*at*ccl.net HOME Page: http://www.ccl.net   | Jobs Page:
> http://www.ccl.net/jobs
>
> If your mail is bouncing from CCL.NET domain send it to the maintainer:
> Jan Labanowski,  jlabanow*at*nd.edu (read about it on CCL Home Page)
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

-- 
Jerry Ebalunode
Ph.D. Candidate
RM 402F Houston Science Center
Phone: 713-743-8367
Dept. of Biology and Biochemistry
University of Houston
4800 Calhoun Road
Houston, TX 77204